.favorite-toggle-btn {
    display: none;
    background: transparent;
    border: none;
}

.favorite-toggle-btn i {
    font-size: 24px;
    transition: transform 0.1s ease, color 0.1s ease;
}

/* Favori eklenmişse göster ve stillendir */
.favorite-toggle-btn.favorited {
    display: block !important;
}
.favorite-toggle-btn.favorited i {
    color: red;
    transform: scale(1.3);
}

/* Sadece hover durumunda gösterilecek olan buton */
.position-relative:hover .favorite-toggle-btn.show-on-hover {
    display: block !important;
}
